﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.UltraChart.Core.Primitives;
using System.Diagnostics;

namespace UltraChartLineChart
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            DataTable dt = new DataTable();
            dt.Columns.Add("Month", typeof(string));
            dt.Columns.Add("Values", typeof(decimal));


            dt.Rows.Add("Jan", 10);
            dt.Rows.Add("Feb", 30);
            dt.Rows.Add("Mar", 20);
            dt.Rows.Add("Apr", 40);
            dt.Rows.Add("May", 60);
            dt.Rows.Add("Jun", 55);
            dt.Rows.Add("Jul", 65);
            dt.Rows.Add("Aug", 70);
            dt.Rows.Add("Sep", 60);
            dt.Rows.Add("Oct", 40);
            dt.Rows.Add("Nov", 45);
            dt.Rows.Add("Dec", 50);

            ultraChart1.DataSource = dt;
            ultraChart1.Data.SwapRowsAndColumns = true;
        }

        private void ultraChart1_FillSceneGraph(object sender, Infragistics.UltraChart.Shared.Events.FillSceneGraphEventArgs e)
        {
            foreach (Primitive item in e.SceneGraph)
            {
                Text pl = item as Text;
                if (pl != null && pl.Path == "Border.Title.Grid.Y")
                {
                    pl.PE.Fill = Color.Red;
                    pl.bounds.Offset(-15, 0);
                }
                if (pl != null && pl.Path == "Border.Title.Grid.X")
                {
                    pl.PE.Fill = Color.Green;
                    pl.bounds.Offset(5, 15);
                }
            }
        }
    }
}
